# Created by pyp2rpm-3.3.6
%global pypi_name httpx-socks

Name:           python-%{pypi_name}
Version:        0.4.1
Release:        %mkrel 3
Summary:        Proxy (HTTP, SOCKS) transports for httpx
Group:          Development/Python
License:        Apache 2
URL:            https://github.com/romis2012/httpx-socks
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The httpx-socks package provides proxy transports for httpx client. SOCKS4(a),
SOCKS5, HTTP (tunneling) proxy supported. It uses python-socks for core proxy
functionality.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The httpx-socks package provides proxy transports for httpx client. SOCKS4(a),
SOCKS5, HTTP (tunneling) proxy supported. It uses python-socks for core proxy
functionality.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/httpx_socks
%{python3_sitelib}/httpx_socks-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.4.1-3.mga9
+ Revision: 1822979
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.4.1-2.mga9
+ Revision: 1778501
- Rebuild for python-3.10

* Sun Aug 22 2021 wally <wally> 0.4.1-1.mga9
+ Revision: 1742180
- imported package python-httpx-socks

